Package: org.gradle.api.artifacts

## [Java] Interface ComponentMetadataDetails

- org.gradle.api.artifacts.ComponentMetadata

- All Superinterfaces:
    ComponentMetadata

  Describes a resolved component's metadata, which typically originates from a component descriptor (Ivy file, Maven POM). Some parts of the metadata can be changed via metadata rules (see ComponentMetadataHandler.

  Since:
    1.8

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `setChanging(boolean changing)` Sets whether the component is changing or immutable.
    `void` | `setStatus(String status)` Sets the status of the component.
    `void` | `setStatusScheme(List<String> statusScheme)` Sets the status scheme of the component.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentMetadata` | `getId, getStatus, getStatusScheme, isChanging`

- - ### Method Detail

    - #### public void setChanging(boolean changing)

      Sets whether the component is changing or immutable.

      Parameters:
        `changing` - whether the component is changing or immutable

    - #### public void setStatus(String status)

      Sets the status of the component. Must match one of the values in getStatusScheme().

      Parameters:
        `status` - the status of the component

    - #### public void setStatusScheme(List<String> statusScheme)

      Sets the status scheme of the component. Values are ordered from least to most mature status.

      Parameters:
        `statusScheme` - the status scheme of the component